*,
html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: helvetica-light;
}


/* FONTS */

@font-face {
    font-family: helvetica-bold;
    src: url(../fonts/Helvetica-Bold.ttf);
}

@font-face {
    font-family: helvetica-light;
    src: url(../fonts/HelveticaLTStd-Light.otf);
}

.helvetica-bold {
    font-family: helvetica-bold;
}

.helvetica-light {
    font-family: helvetica-light;
}


/* GLOBAL */

.bg-img {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.bg-black {
    background: #000;
}

.vr {
    width: 2px;
    opacity: 1;
}

.btn-contactanos {
    position: absolute;
    top: 30px;
    right: 100px;
}

.object-fit-contain {
    object-fit: contain;
}

.object-fit-cover {
    object-fit: cover;
}

.text-justify {
    text-align: justify;
}


/* PLUGINS */


/* SWIPER */

.mySwiper.swiper {
    width: 100%;
    height: 80vh;
}

.swiperP.swiper {
    width: 30vw;
    height: 30vw;
}

.galery.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.p.swiper-slide img,
.galery.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* .swiper-slide:nth-child(2n) {
    width: 60%;
} */

.swiper-button-prev,
.swiper-button-next {
    color: #000;
}

.swiper-button-prev.p,
.swiper-button-next.p {
    color: #fff;
}

.galery.swiper-button-prev,
.galery.swiper-button-next {
    left: auto;
    right: 0;
    background: rgba(255, 255, 255, 0.363);
    width: 3rem;
    height: 3rem;
}

.galery.swiper-button-prev {
    right: 50% !important;
}

.galery.swiper-button-next {
    left: 50% !important;
}

.swiper-button-next:after,
.swiper-rtl.swiper-button-prev:after {
    content: url(../img/icons/arrow-end.svg);
    transform: scale(1.8);
    height: 50px;
}

.swiper-button-prev:after,
.swiper-rtl.swiper-button-next:after {
    content: url(../img/icons/arrow-start.svg);
    transform: scale(1.8);
    height: 50px;
}

.swiper-button-next.p {
    top: 100%;
    left: 50%;
    transform: translate(-50%, -55%);
}

.swiper-button-prev.p {
    top: 0;
    left: 50%;
    transform: translate(-50%, 55%);
}

.p.swiper-button-next:after,
.swiper-rtl .p.swiper-button-prev:after {
    content: url(../img/icons/arrow-bottom.svg);
    filter: invert(100%);
    transform: scale(1.8);
    height: 60px;
}

.p.swiper-button-prev:after,
.swiper-rtl .p.swiper-button-next:after {
    content: url(../img/icons/arrow-top.svg);
    filter: invert(100%);
    transform: scale(1.8);
    height: 50px;
}

.carouselProductos {
    transition: all .2s ease-in-out;
}

.carouselProductos:hover {
    transform: scale(105%);
}


/* MENU */

.menu {
    width: 50px;
    height: 50px;
    position: fixed;
    z-index: 100;
    right: 50px;
    top: 30px;
    cursor: pointer;
    background: #000;
}

.menu:nth-child(3) {
    top: 90px
}

.menu-icon__line {
    height: 2px;
    width: 30px;
    display: block;
    background-color: #ffffff;
    margin-bottom: 4px;
    transition: transform 0.2s ease, background-color 0.5s ease;
}

.menu-icon__line-left {
    width: 15px;
}

.menu-icon__line-right {
    width: 15px;
    float: right;
}

.nav {
    position: fixed;
    z-index: 99;
}

.nav:before,
.nav:after {
    content: "";
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(234, 234, 234, 0.2);
    z-index: -1;
    transition: transform cubic-bezier(0.77, 0, 0.175, 1) 0.8s;
    transform: translateX(0%) translateY(-100%);
}

.nav:after {
    background: white;
    transition-delay: 0s;
}

.nav:before {
    transition-delay: 0.1s;
}

.nav__content {
    height: 0;
    overflow: hidden;
    position: fixed;
    top: 50%;
    transform: translate(0%, -50%);
    width: 100%;
    text-align: center;
    /* font-size: calc(2vw + 10px); */
    font-weight: 200;
    cursor: pointer;
}

.nav__list-item {
    position: relative;
    /* display: inline-block; */
    transition-delay: 0.8s;
    opacity: 0;
    transform: translate(0%, 100%);
    transition: opacity 0.2s ease, transform 0.3s ease;
    margin-right: 25px;
}

.nav__list-item:before {
    content: "";
    position: absolute;
    background: #000000;
    width: 20px;
    height: 1px;
    top: 100%;
    transform: translate(0%, 0%);
    transition: all 0.3s ease;
    z-index: -1;
}

.nav__list-item:hover:before {
    width: 100%;
}

body.nav-active .menu-icon__line {
    /* background-color: #000; */
    transform: translateX(0px) rotate(-45deg);
}

body.nav-active .menu-icon__line-left {
    transform: translateX(1px) rotate(45deg);
}

body.nav-active .menu-icon__line-right {
    transform: translateX(-2px) rotate(45deg);
}

body.nav-active .nav {
    visibility: visible;
}

body.nav-active .nav:before,
body.nav-active .nav:after {
    transform: translateX(0%) translateY(0%);
}

body.nav-active .nav:after {
    transition-delay: 0.1s;
}

body.nav-active .nav:before {
    transition-delay: 0s;
}

body.nav-active .nav__content {
    height: auto;
}

body.nav-active .nav__list-item {
    opacity: 1;
    transform: translateX(0%);
    transition: opacity 0.3s ease, transform 0.3s ease, color 0.3s ease;
}

body.nav-active .nav__list-item:nth-child(0) {
    transition-delay: 0.5s;
}

body.nav-active .nav__list-item:nth-child(1) {
    transition-delay: 0.6s;
}

body.nav-active .nav__list-item:nth-child(2) {
    transition-delay: 0.7s;
}

body.nav-active .nav__list-item:nth-child(3) {
    transition-delay: 0.8s;
}

body.nav-active .nav__list-item:nth-child(4) {
    transition-delay: 0.9s;
}


/* MAIN */

.header-main {
    background-image: url(../../admin/banners/img/inicio.jpg);
}

.main-bg {
    height: 70vh;
    background-image: url(../img/main/bg-1.png);
}

.main-box {
    background: rgb(66, 66, 66);
    height: 35%;
}


/* CONTACTO */

.header-contacto {
    background-image: url(../img/contacto/bg-header.png);
}


/* NOSOTROS */

.header-nosotros {
    background-image: url(../img/nosotros/bg-header.png);
}

.bg-nosotros-1 {
    background-image: url(../img/nosotros/bg-1.png);
}


/* PRODUCTOS */

.header-productos {
    background-image: url(../../admin/banners/img/productos.jpg);
    background-position: left;
    background-repeat: no-repeat;
    background-size: 60% 100%;
    min-height: 100vh;
}

.galeriaHeaderProductos {
    position: absolute;
    top: 50%;
    left: 60%;
    transform: translate(-50%, -50%);
}

.productos1 {
    min-height: 70vh;
    background-image: url(../img/productos/img1.png);
}


/* CARRITO */

.carrito-header {
    background-image: url(../img/carrito/carrito-header.jpg);
    background-position: bottom;
    background-size: cover;
    height: 60vh;
}


/* FOOTER */

footer {
    background-image: url(../img/footer/img.png);
}

@media (max-width: 970px) {
    /* SWIPER */
    /* MENU */
    .menu {
        right: 20px;
        top: 25px;
    }
    .menu:nth-child(3) {
        right: 80px;
        top: 25px;
    }
    .nav__list-item:hover:before {
        width: 0%;
    }
    /* PRODUCTOS */
    .swiperP.swiper {
        width: 90vw;
        height: 90vw;
    }
    .header-productos {
        background-size: cover;
    }
    .galeriaHeaderProductos {
        position: static;
        transform: translate(0, 0);
    }
    .productos1 {
        background-position: right;
    }
    /* FOOTER */
    footer {
        background-position: left;
    }
}